Fetch submissions with filtering and pagination
curl --request GET \
--url https://wbl.monolisk.dev/submissionsimport requests
url = "https://wbl.monolisk.dev/submissions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://wbl.monolisk.dev/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submissions": [
{
"kind": "<string>",
"submissionToken": "<string>",
"email": "[email protected]",
"createdAt": 123,
"updatedAt": 123,
"hours": 123,
"supervisor": "[email protected]",
"dateRange": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"date": "2023-12-25",
"shortResponse": "<string>",
"longResponse": "<string>",
"wasInSchool": true,
"verificationTask": "<string>",
"verificationInfo": {
"status": 0,
"createdAt": 123,
"updatedAt": 123
}
}
],
"pagination": {
"page": 123,
"length": 123,
"total": 123,
"totalPages": 123
}
}Submissions
Query submissions
Retrieve submissions with optional filtering by email, type, and date range
GET
/
submissions
Fetch submissions with filtering and pagination
Query Parameters
Page number for pagination
Required range:
x >= 0Number of items per page
Required range:
1 <= x <= 100Filter by email (partial match)
Filter by experience type/kind (partial match)
Filter submissions created on or after this date (YYYY-MM-DD)
Filter submissions created on or before this date (YYYY-MM-DD)